// IGnssListener.aidl
package com.beidou.BDServer;

import android.os.Bundle;
import android.location.Location;
import com.beidou.BDServer.gnss.data.GnssInfo;

 /**
  *  AIDL文件中添加接口都必须追加到末尾
  */
interface IGnssListener {

    /***
      *
      * @param location
      */
    void onLocationChanged(in Location location);
    /***
      * 连接状态改变时回调
      * @param provider 目前有Unknow,Local，Wifi，Bluetooth
      * @param status 状态 0：接收机和Cors都已断开
      *                     1:接收机连接，Cors未连接
      *                     2：接收机和Cors都已连接
      *                     10:已经10秒没有收到数据
      * @param extras 数据，目前为空
      */
    void onStatusChanged(String provider, int status, inout Bundle extras);
    /***
      * 收到Gnss数据时回调
      * @param gnssinfo Gnss数据
      */
    void onGnssInfoChanged(inout GnssInfo gnssinfo);
    /***
      * 连接上接收机时回调
      * @param provider 目前有Unknow,Local，Wifi，Bluetooth
      */
    void onProviderEnabled(String provider);
     /***
      * 断开与接收机的连接时回调
      * @param provider 目前有Unknow,Local，Wifi，Bluetooth
      */
    void onProviderDisabled(String provider);
}
