// IPipelineDetector.aidl
package com.beidou.BDServer.pipeline;

import com.beidou.BDServer.gnss.data.pipeline.PipelineDetectorOption;
import com.beidou.BDServer.gnss.data.pipeline.PipelineDectorStatus;
import com.beidou.BDServer.pipeline.IPipelineDetectorListener;

interface IPipelineDetector {

    void connect(inout PipelineDetectorOption option);

    void disConnect();

    void writeDataToDevice(inout byte[] cmd);

    /**
     * add IPipelineDetectorListener
     */
    void addListener(IPipelineDetectorListener listener);

    /**
     * remove IPipelineDetectorListener
     */
    void removeListener(IPipelineDetectorListener listener);

    PipelineDectorStatus getStatus();

    PipelineDetectorOption getPipelineDetectorOption();
}
